Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0038862
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSmajoralways2018-06-29 09:252018-10-16 18:08
ReportermarvintmView Statuspublic 
Assigned Tomigueldejuana 
PrioritynormalResolutionfixedFixed in VersionRR18Q4
StatusclosedFix in branchFixed in SCM revisiona3ae464ccea7
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tomarvintm
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0038862: Ticket completion should be executed fully inside the same database transaction

DescriptionAfter related issue https://issues.openbravo.com/view.php?id=38676 [^] some changes have been done to try to execute the whole ticket synchronization process in the same database transaction. However, there is one part which is still missing: the hook execution and the last save for the ticket which sets it to hasbeenpaid='Y' should also be part of the same database transaction, and currently they are not.
Steps To Reproduce.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0038676 closedranjith_qualiantech_com Ticket completion should be executed fully inside the same database transaction, and currently that's not the case 
related to design defect 0039228 closedmigueldejuana Receipt object is global and therefore can be modified after the user has confirmed that the ticket should be processed 
depends on backport 0039337RR18Q3.2 closedmigueldejuana Ticket completion should be executed fully inside the same database transaction 
depends on backport 0039464RR18Q2.4 closedmigueldejuana Ticket completion should be executed fully inside the same database transaction 
related to defect 0035745 closedranjith_qualiantech_com Add a transaction where it is needed 

-  Notes
(0106698)
hgbot (developer)
2018-09-12 13:55

Repository: erp/pmods/org.openbravo.certification.france
Changeset: fe341ce2af80ba021cd41c1659c97c70bf7052f1
Author: Miguel de Juana <miguel.dejuana <at> openbravo.com>
Date: Mon Sep 10 17:12:41 2018 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.certification.france/rev/fe341ce2af80ba021cd41c1659c97c70bf7052f1 [^]

Fixed issue 0038862: Ticket completion should be executed fully inside the same database transaction

- Use transaction to find and save TicketInformation. If tx doesn't exist, we will do a regular find and save.

---
M web/org.openbravo.certification.france/js/ticket/preSyncReceiptHook.js
---
(0106699)
hgbot (developer)
2018-09-12 13:55

Repository: erp/pmods/org.openbravo.certification.france
Changeset: 25a21535cb7144532969600a667800e8d6dcc41d
Author: Miguel de Juana <miguel.dejuana <at> openbravo.com>
Date: Wed Sep 12 13:54:49 2018 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.certification.france/rev/25a21535cb7144532969600a667800e8d6dcc41d [^]

Fixed issue 0038862: Ticket completion should be executed fully inside the same database transaction

- Create canceled order in preOrderSaveHook instead of preSync
- Use tx transaction in the hook to mantain the consistency

---
M src-db/database/sourcedata/AD_MODULE.xml
M src/org/openbravo/certification/france/OBCFRApplicationProvider.java
M web/org.openbravo.certification.france/js/ticket/preSyncReceiptHook.js
A web/org.openbravo.certification.france/js/ticket/preOrderSaveHook.js
---
(0106716)
hgbot (developer)
2018-09-12 17:00

Repository: erp/pmods/org.openbravo.certification.france
Changeset: 060582076a8dfc2c59782cc8f690a9f4ed41acb7
Author: Miguel de Juana <miguel.dejuana <at> openbravo.com>
Date: Wed Sep 12 17:00:39 2018 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.certification.france/rev/060582076a8dfc2c59782cc8f690a9f4ed41acb7 [^]

Fixed issue 0038862: Ticket completion should be executed fully inside the same database transaction

- Pass tx in a missing place

---
M web/org.openbravo.certification.france/js/ticket/preSyncReceiptHook.js
---
(0106717)
hgbot (developer)
2018-09-12 17:06

Repository: erp/pmods/org.openbravo.certification.france
Changeset: 4a7264e636a053bdabee6903abc5bc53c5c3daac
Author: Miguel de Juana <miguel.dejuana <at> openbravo.com>
Date: Wed Sep 12 17:06:41 2018 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.certification.france/rev/4a7264e636a053bdabee6903abc5bc53c5c3daac [^]

Fixed issue 0038862: Ticket completion should be executed fully inside the same database transaction

. Module hash

---
M src-db/database/sourcedata/AD_MODULE.xml
---
(0106746)
hgbot (developer)
2018-09-13 12:07

Repository: erp/pmods/org.openbravo.certification.france
Changeset: ec0c2009413c5afac1c9ffcd17c7d326c3d9a445
Author: Miguel de Juana <miguel.dejuana <at> openbravo.com>
Date: Thu Sep 13 12:04:28 2018 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.certification.france/rev/ec0c2009413c5afac1c9ffcd17c7d326c3d9a445 [^]

Fixed issue 0038862: Ticket completion should be executed fully inside the same database transaction

- Add a new hook better to avoid wrong implementations from other modules

---
M src-db/database/sourcedata/AD_MODULE.xml
M src/org/openbravo/certification/france/OBCFRApplicationProvider.java
A web/org.openbravo.certification.france/js/ticket/preOrderSaveFinishCancelLayawayHook.js
R web/org.openbravo.certification.france/js/ticket/preOrderSaveHook.js
---
(0106765)
hgbot (developer)
2018-09-14 08:51

Repository: erp/pmods/org.openbravo.certification.france
Changeset: 2ce1230fedb5a8866891abef12989b512ce81b98
Author: Miguel de Juana <miguel.dejuana <at> openbravo.com>
Date: Fri Sep 14 08:51:28 2018 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.certification.france/rev/2ce1230fedb5a8866891abef12989b512ce81b98 [^]

Fixed issue 0038862: Ticket completion should be executed fully inside the same database transaction

- Do not cancelJson until the receipt is blockChainned

---
M src-db/database/sourcedata/AD_MODULE.xml
M web/org.openbravo.certification.france/js/ticket/preOrderSaveFinishCancelLayawayHook.js
---
(0106798)
hgbot (developer)
2018-09-17 10:12

Repository: erp/pmods/org.openbravo.certification.france
Changeset: 940b478745cbd721c9a5c2d0b57982499e0f8253
Author: Miguel de Juana <miguel.dejuana <at> openbravo.com>
Date: Mon Sep 17 10:12:15 2018 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.certification.france/rev/940b478745cbd721c9a5c2d0b57982499e0f8253 [^]

Fixed issue 0038862: Ticket completion should be executed fully inside the same database transaction

- Remove has data of canceledorder

---
M src-db/database/sourcedata/AD_MODULE.xml
M web/org.openbravo.certification.france/js/ticket/preSyncReceiptHook.js
---
(0106816)
hgbot (developer)
2018-09-17 17:29

Repository: erp/pmods/org.openbravo.certification.france
Changeset: 64b5648a059026708693bd7b4198704a3eeddcf8
Author: Miguel de Juana <miguel.dejuana <at> openbravo.com>
Date: Mon Sep 17 17:29:14 2018 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.certification.france/rev/64b5648a059026708693bd7b4198704a3eeddcf8 [^]

Fixed issue 0038862: Ticket completion should be executed fully inside the same database transaction

- Save canceledorder outside de main order to avoid differences

---
M src-db/database/sourcedata/AD_MODULE.xml
M web/org.openbravo.certification.france/js/ticket/preOrderSaveFinishCancelLayawayHook.js
M web/org.openbravo.certification.france/js/ticket/preSyncReceiptHook.js
---
(0106850)
hgbot (developer)
2018-09-19 08:05

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 3142284690ff05d9d97d97eb532c5daa11b293d5
Author: Miguel de Juana <miguel.dejuana <at> openbravo.com>
Date: Mon Sep 10 17:09:45 2018 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/3142284690ff05d9d97d97eb532c5daa11b293d5 [^]

Fixed issue 0038862: Ticket completion should be executed fully inside the same database transaction

- Send transaction to OBPOS_PreSyncReceipt hook to be able to use it

---
M web/org.openbravo.retail.posterminal/js/data/dataordersave.js
---
(0106851)
hgbot (developer)
2018-09-19 08:05

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 2e7962b28a3512ac402483e140ca197900e17fef
Author: Miguel de Juana <miguel.dejuana <at> openbravo.com>
Date: Thu Sep 13 12:07:24 2018 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/2e7962b28a3512ac402483e140ca197900e17fef [^]

Fixed issue 0038862: Ticket completion should be executed fully inside the same database transaction

-- Add a new hook better to avoid wrong implementations from other modules

---
M web/org.openbravo.retail.posterminal/js/pointofsale/model/pointofsale-model.js
---
(0106859)
hgbot (developer)
2018-09-19 13:44

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: a3ae464ccea7b7727300427f943a50fdd8c3c091
Author: Miguel de Juana <miguel.dejuana <at> openbravo.com>
Date: Wed Sep 19 13:43:34 2018 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/a3ae464ccea7b7727300427f943a50fdd8c3c091 [^]

Fixed issue 0038862: Ticket completion should be executed fully inside the same database transaction

- JSBeautify

---
M web/org.openbravo.retail.posterminal/js/pointofsale/model/pointofsale-model.js
---

- Issue History
Date Modified Username Field Change
2018-06-29 09:25 marvintm New Issue
2018-06-29 09:25 marvintm Assigned To => Retail
2018-06-29 09:25 marvintm Triggers an Emergency Pack => No
2018-06-29 09:25 marvintm Relationship added related to 0038676
2018-08-01 14:38 rqueralta Status new => scheduled
2018-08-20 07:55 ranjith_qualiantech_com Relationship added related to 0035745
2018-08-23 13:30 marvintm Assigned To Retail => migueldejuana
2018-09-05 13:40 ngarcia Issue Monitored: ngarcia
2018-09-05 13:45 rafaroda Issue Monitored: rafaroda
2018-09-05 13:46 rafaroda Relationship added related to 0039228
2018-09-12 13:55 hgbot Checkin
2018-09-12 13:55 hgbot Note Added: 0106698
2018-09-12 13:55 hgbot Status scheduled => resolved
2018-09-12 13:55 hgbot Resolution open => fixed
2018-09-12 13:55 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.certification.france/rev/fe341ce2af80ba021cd41c1659c97c70bf7052f1 [^]
2018-09-12 13:55 hgbot Checkin
2018-09-12 13:55 hgbot Note Added: 0106699
2018-09-12 13:55 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.certification.france/rev/fe341ce2af80ba021cd41c1659c97c70bf7052f1 [^] => http://code.openbravo.com/erp/pmods/org.openbravo.certification.france/rev/25a21535cb7144532969600a667800e8d6dcc41d [^]
2018-09-12 17:00 hgbot Checkin
2018-09-12 17:00 hgbot Note Added: 0106716
2018-09-12 17:00 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.certification.france/rev/25a21535cb7144532969600a667800e8d6dcc41d [^] => http://code.openbravo.com/erp/pmods/org.openbravo.certification.france/rev/060582076a8dfc2c59782cc8f690a9f4ed41acb7 [^]
2018-09-12 17:06 hgbot Checkin
2018-09-12 17:06 hgbot Note Added: 0106717
2018-09-12 17:06 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.certification.france/rev/060582076a8dfc2c59782cc8f690a9f4ed41acb7 [^] => http://code.openbravo.com/erp/pmods/org.openbravo.certification.france/rev/4a7264e636a053bdabee6903abc5bc53c5c3daac [^]
2018-09-13 12:07 hgbot Checkin
2018-09-13 12:07 hgbot Note Added: 0106746
2018-09-13 12:07 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.certification.france/rev/4a7264e636a053bdabee6903abc5bc53c5c3daac [^] => http://code.openbravo.com/erp/pmods/org.openbravo.certification.france/rev/ec0c2009413c5afac1c9ffcd17c7d326c3d9a445 [^]
2018-09-14 08:51 hgbot Checkin
2018-09-14 08:51 hgbot Note Added: 0106765
2018-09-14 08:51 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.certification.france/rev/ec0c2009413c5afac1c9ffcd17c7d326c3d9a445 [^] => http://code.openbravo.com/erp/pmods/org.openbravo.certification.france/rev/2ce1230fedb5a8866891abef12989b512ce81b98 [^]
2018-09-17 10:12 hgbot Checkin
2018-09-17 10:12 hgbot Note Added: 0106798
2018-09-17 10:12 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.certification.france/rev/2ce1230fedb5a8866891abef12989b512ce81b98 [^] => http://code.openbravo.com/erp/pmods/org.openbravo.certification.france/rev/940b478745cbd721c9a5c2d0b57982499e0f8253 [^]
2018-09-17 17:29 hgbot Checkin
2018-09-17 17:29 hgbot Note Added: 0106816
2018-09-17 17:29 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.certification.france/rev/940b478745cbd721c9a5c2d0b57982499e0f8253 [^] => http://code.openbravo.com/erp/pmods/org.openbravo.certification.france/rev/64b5648a059026708693bd7b4198704a3eeddcf8 [^]
2018-09-19 08:05 hgbot Checkin
2018-09-19 08:05 hgbot Note Added: 0106850
2018-09-19 08:05 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.certification.france/rev/64b5648a059026708693bd7b4198704a3eeddcf8 [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/3142284690ff05d9d97d97eb532c5daa11b293d5 [^]
2018-09-19 08:05 hgbot Checkin
2018-09-19 08:05 hgbot Note Added: 0106851
2018-09-19 08:05 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/3142284690ff05d9d97d97eb532c5daa11b293d5 [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/2e7962b28a3512ac402483e140ca197900e17fef [^]
2018-09-19 13:44 hgbot Checkin
2018-09-19 13:44 hgbot Note Added: 0106859
2018-09-19 13:44 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/2e7962b28a3512ac402483e140ca197900e17fef [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/a3ae464ccea7b7727300427f943a50fdd8c3c091 [^]
2018-09-21 11:57 marvintm Status resolved => new
2018-09-21 11:57 marvintm Resolution fixed => open
2018-09-21 11:57 marvintm Status new => scheduled
2018-09-21 11:57 marvintm Status scheduled => resolved
2018-09-21 11:57 marvintm Fixed in Version => RR18Q4
2018-09-21 11:57 marvintm Resolution open => fixed
2018-09-21 12:44 marvintm Review Assigned To => marvintm
2018-09-21 12:44 marvintm Status resolved => closed
2018-10-16 18:07 marvintm Status closed => new
2018-10-16 18:07 marvintm Resolution fixed => open
2018-10-16 18:07 marvintm Fixed in Version RR18Q4 =>
2018-10-16 18:07 marvintm Status new => scheduled
2018-10-16 18:08 marvintm Status scheduled => resolved
2018-10-16 18:08 marvintm Fixed in Version => RR18Q4
2018-10-16 18:08 marvintm Resolution open => fixed
2018-10-16 18:08 marvintm Status resolved => closed


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker